Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.operation.function
Class UnGroup

    java.lang.Object
      cascading.operation.BaseOperation
          cascading.operation.function.UnGroup

All Implemented Interfaces:
  Function, Operation, Serializable

    public class UnGroup

extends BaseOperation
implements Function

Class UnGroup is a `Function` that will 'un-group' data from a given dataset.

That is, for the given field positions, this function will emit a new Tuple for every value. For example:

     A, x, y
     B, x, z
     C, y, z

to:

     A, x
     A, y
     B, x
     B, z
     C, y
     C, z

See Also:
  Serialized Form

Field Summary

Fields inherited from class cascading.operation.BaseOperation
`fieldDeclaration, numArgs, trace`

Fields inherited from interface cascading.operation.Operation
`ANY`

Constructor Summary
`UnGroup(Fields groupSelector, Fields[] valueSelectors)` Constructor UnGroup creates a new UnGroup instance.
`UnGroup(Fields fieldDeclaration, Fields groupSelector, Fields[] valueSelectors)` Constructor UnGroup creates a new UnGroup instance.
`UnGroup(Fields fieldDeclaration, Fields groupSelector, int numValues)` Constructor UnGroup creates a new UnGroup instance.

Method Summary
`boolean` | `equals(Object object)`
`Fields` | `getGroupFieldSelector()`
`Fields[]` | `getResultFieldSelectors()`
`int` | `getSize()`
`int` | `hashCode()`
`void` | `operate(FlowProcess flowProcess, FunctionCall functionCall)` Method operate provides the implementation of this Function.

Methods inherited from class cascading.operation.BaseOperation
`cleanup, flush, getFieldDeclaration, getNumArgs, getTrace, isSafe, prepare, printOperationInternal, toString, toStringInternal`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface cascading.operation.Operation
`cleanup, flush, getFieldDeclaration, getNumArgs, isSafe, prepare`

Constructor Detail

### UnGroup

    @ConstructorProperties(value={"groupSelector","valueSelectors"})
    public UnGroup(Fields groupSelector,
                                              Fields[] valueSelectors)

  Constructor UnGroup creates a new UnGroup instance.

  Parameters:
    `groupSelector` - of type Fields
    `valueSelectors` - of type Fields[]

### UnGroup

    @ConstructorProperties(value={"fieldDeclaration","groupSelector","valueSelectors"})
    public UnGroup(Fields fieldDeclaration,
                                              Fields groupSelector,
                                              Fields[] valueSelectors)

  Constructor UnGroup creates a new UnGroup instance.

  Parameters:
    `fieldDeclaration` - of type Fields
    `groupSelector` - of type Fields
    `valueSelectors` - of type Fields[]

### UnGroup

    @ConstructorProperties(value={"fieldDeclaration","groupSelector","numValues"})
    public UnGroup(Fields fieldDeclaration,
                                              Fields groupSelector,
                                              int numValues)

  Constructor UnGroup creates a new UnGroup instance. Where the numValues argument specifies the number of values to include.

  Parameters:
    `fieldDeclaration` - of type Fields
    `groupSelector` - of type Fields
    `numValues` - of type int

Method Detail

### getGroupFieldSelector

    public Fields getGroupFieldSelector()

### getResultFieldSelectors

    public Fields[] getResultFieldSelectors()

### getSize

    public int getSize()

### operate

    public void operate(FlowProcess flowProcess,
                        FunctionCall functionCall)

  Description copied from interface: `Function`
  Method operate provides the implementation of this Function.

  Specified by:
    `operate` in interface `Function`
  Parameters:
    `flowProcess` - of type FlowProcess
    `functionCall` - of type FunctionCall

### equals

    public boolean equals(Object object)

  Overrides:
    `equals` in class `BaseOperation`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `BaseOperation`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.